import type { AnchorHTMLAttributes } from "react";
import { type BoxProps, type FlexProps, type IconProps } from "../../../ui";
declare const NodeListTitle: ({ children, ...rest }: FlexProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListContainer: ({ children, ...rest }: BoxProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListTitleText: ({ children, ...rest }: BoxProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListItemId: ({ children, ...rest }: BoxProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListItemName: ({ children, ...rest }: BoxProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListIcon: (props: IconProps) => import("react/jsx-runtime").JSX.Element;
declare const NodeListItemIcon: (props: IconProps & {
    disabled?: boolean;
}) => import("react/jsx-runtime").JSX.Element;
declare const NodeListItemLink: (props: AnchorHTMLAttributes<HTMLAnchorElement> & {
    disabled?: boolean;
}) => import("react/jsx-runtime").JSX.Element;
export { NodeListTitle, NodeListContainer, NodeListTitleText, NodeListItemId, NodeListItemName, NodeListIcon, NodeListItemIcon, NodeListItemLink, };
